@font-face {
    font-family: 'Raleway';
    src: url('fonts/Raleway-Regular.ttf'); /* IE9 Compat Modes */
    src: url('fonts/Raleway-Regular.ttf') format('truetype'); 
}

@font-face {
    font-family: 'Orbitron';
    src: url('fonts/Orbitron-VariableFont_wght.ttf'); /* IE9 Compat Modes */
    src: url('fonts/Orbitron-VariableFont_wght.ttf') format('truetype'); 
}

body {
    /* Font Family */
    --global--font-primary: "Raleway", "Roboto Bold", Helvetica, sans-serif;
    --global--font-secondary: "Orbitron", "Roboto Light", Helvetica, sans-serif;

    /* Font Size */
    --global--font-size-base: 20px;
    --global--font-size-xs: 1rem;
    --global--font-size-sm: 1.125rem;
    --global--font-size-md: 1.25rem;
    --global--font-size-lg: 1.5rem;
    --global--font-size-xl: 2.25rem;
    --global--font-size-xxl: 4rem;
    --global--font-size-xxxl: 5rem;
    --global--font-size-page-title: var(--global--font-size-xxl);
    --global--letter-spacing: normal;

    /* Line Height */
    --global--line-height-body: 1.7;
    --global--line-height-heading: 1.3;
    --global--line-height-page-title: 1.1;

    /* Colors */
    --global--color-black: #000;
    --global--color-white: #fff;

    --global--color-dark-gray: #44546a;
    --global--color-gray: #8497b0;
    --global--color-light-gray: rgba(132, 151, 176, 0.2);
    --global--color-lighter-gray: #d1dfe4;
    --global--color-red: #eb576a;

    --global--color-highlight: var(--global--color-red);
    --global--color-primary: var(--global--color-dark-gray);
    --global--color-secondary: var(--global--color-light-gray);
    --global--color-background: var(--global--color-white);

    --global--box-shadow: 0 0.5rem 1rem 0 rgba(3, 3, 3, 0.16), 0 0 0.375rem 0 rgba(3, 3, 3, 0.08);
    --global--card-shadow: var(--global--box-shadow);

    /* global--Headings */
    --global--heading--font-family: var(--global--font-primary);
    --global--heading--font-size-h6: var(--global--font-size-xs);
    --global--heading--font-size-h5: var(--global--font-size-sm);
    --global--heading--font-size-h4: var(--global--font-size-lg);
    --global--heading--font-size-h3: calc(1.25 * var(--global--font-size-lg));
    --global--heading--font-size-h2: var(--global--font-size-xl);
    --global--heading--font-size-h1: var(--global--font-size-page-title);
    --global--heading--letter-spacing-h6: 0.05em;
    --global--heading--letter-spacing-h5: 0.05em;
    --global--heading--letter-spacing-h4: var(--global--letter-spacing);
    --global--heading--letter-spacing-h3: var(--global--letter-spacing);
    --global--heading--letter-spacing-h2: var(--global--letter-spacing);
    --global--heading--letter-spacing-h1: var(--global--letter-spacing);
    --global--heading--line-height-h6: var(--global--line-height-global--heading);
    --global--heading--line-height-h5: var(--global--line-height-global--heading);
    --global--heading--line-height-h4: var(--global--line-height-global--heading);
    --global--heading--line-height-h3: var(--global--line-height-global--heading);
    --global--heading--line-height-h2: var(--global--line-height-global--heading);
    --global--heading--line-height-h1: var(--global--line-height-page-title);
    --global--heading--font-weight: normal;
    --global--heading--font-weight-page-title: 300;
    --global--heading--font-weight-strong: 600;


}

/*
    Button Designs
*/
.btn-rps-primary {
    background: var(--global--color-background) !important;
    color: var(--global--color-dark-gray) !important;
    border-style: solid;
    border-width: 2px;
    font-weight: 700;
    border-color: var(--global--color-dark-gray) !important;
    border-radius: 5px;
    box-shadow: 0px 0px 5px 0px rgb(255 255 255 / 50%);
    text-decoration: none;
}

.btn-rps-primary:hover {
    background: var(--global--color-dark-gray) !important;
    color: var(--global--color-background) !important;
}


.btn-rps-secondary {
    background: var(--global--color-background) !important;
    color: var(--global--color-dark-gray) !important;
    border-style: solid;
    font-weight: 700;
    border-width: 2px;
    border-color: var(--global--color-gray) !important;
    border-radius: 5px;
    box-shadow: 0px 0px 5px 0px rgb(255 255 255 / 50%);
    text-decoration: none;
}

.btn-rps-secondary:hover {
    background: var(--global--color-gray) !important;
    color: var(--global--color-background) !important;
}

.special-font {
    font-family: var(--global--font-secondary);
}
